package com.bocloud.cmp.model;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;
import java.util.List;

/**
 * powervc hmc主机等的健康状态
 *
 * @author lkx007
 */
public class HealthStatus {
    /**
     * health_value : OK
     * id : 88713e01-5962-35dc-a69a-589f503d04d1
     * value_reason : []
     * updated_at : 2018-12-27T08:36:13.351138
     */
    @JSONField(name = "health_value")
    private String status;
    private String id;
    @JSONField(name = "updated_at", format = "yyyy-MM-dd'T'HH:mm:ss.SSSSSS")
    private Date gmtModify;
    @JSONField(name = "value_reason")
    private List<String> reasons;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public List<String> getReasons() {
        return reasons;
    }

    public void setReasons(List<String> reasons) {
        this.reasons = reasons;
    }
}
